abstract class C {
    static final int FOO = 4; //D.FOO;
    static final String BAR = "sdf";

static    Object p, o, q;
    static public void main(String[] args) {
	int i = 3;
	switch (i) {
	case FOO: 
	    ;
	}

	o = (q = null);
    }   

    abstract void m();
}

class D {
    public static final int FOO = 4;
}
